Create Timeoff requests
/unified/hris/timeoff_requests
Query Parameters
Refer Specifying query parameters in Truto APIs
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barRequest Body
Refer Writing data using Unified APIs
paidunpaid
1 supported1 required
paidunpaidThis represents the amount of the time off request.
5 supported2 required
This represents the approver of the time off request.
1 supported
This represents the description of the time off request.
4 supported
1 supported1 required
This represents the employee requesting time off.
11 supported8 required
The unique identifier for employees
This represents the name of the employee.
This represents the employee note for the time off request.
1 supported1 required
This represents the end time of the time off request.
11 supported11 required
1 supported1 required
This represents the reason of the time off request.
3 supported2 required
The unique identifier for timeoff_reason
This represents the name of the timeoff_reason.
Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.
This represents the request type of the time off request.
2 supported2 required
This represents the session of the time off request.
fullmorningafternoonfullmorningafternoonmorningafternoon
3 supported1 required
morningafternoonfullmorningafternoonThis represents the start time of the time off request.
11 supported11 required
This represents the status of the time off request.
6 supported
This represents the time off type of the time off request.
8 supported6 required
Response Body
The unique identifier for timeoffpolicies
7 supported
This represents the amount of the time off request.
4 supported
This represents the approver of the time off request.
1 supported
This represents the date when the timeoffpolicies was created
4 supported
This represents the description of the time off request.
4 supported
This represents the employee requesting time off.
7 supported
The unique identifier for employees
This represents the name of the employee.
This represents the employee note for the time off request.
1 supported
This represents the end time of the time off request.
7 supported
This represents the reason of the time off request.
2 supported
The unique identifier for timeoff_reason
This represents the name of the timeoff_reason.
Raw data returned from the remote API call.
This represents the request type of the time off request.
1 supported
This represents the session of the time off request.
fullmorningafternoon
3 supported
This represents the start time of the time off request.
7 supported
This represents the status of the time off request.
6 supported
This represents the time off type of the time off request.
5 supported
This represents the units of the time off request.
hoursdaysweeksmonths
4 supported
This represents the date when the timeoffpolicies was updated
4 supported
curl -X POST 'https://api.truto.one/unified/hris/timeoff_requests?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json' \
-d '{
"employee": {},
"timeoff_type": "your_timeoff_type",
"start_time": "your_start_time",
"end_time": "your_end_time",
"description": "your_description",
"request_policy_type": "your_request_policy_type",
"amount": 0,
"status": "your_status",
"reason": {},
"session": "full",
"approver": "your_approver",
"employee_note": "your_employee_note",
"absence_paid_status": "paid",
"is_emergency_leave": true,
"remote_data": {}
}'const integratedAccountId = '<integrated_account_id>';
const body = {
"employee": {},
"timeoff_type": "your_timeoff_type",
"start_time": "your_start_time",
"end_time": "your_end_time",
"description": "your_description",
"request_policy_type": "your_request_policy_type",
"amount": 0,
"status": "your_status",
"reason": {},
"session": "full",
"approver": "your_approver",
"employee_note": "your_employee_note",
"absence_paid_status": "paid",
"is_emergency_leave": true,
"remote_data": {}
};
const response = await fetch(`https://api.truto.one/unified/hris/timeoff_requests?integrated_account_id=${integratedAccountId}`, {
method: 'POST',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
body: JSON.stringify(body),
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/hris/timeoff_requests"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
payload = {
"employee": {},
"timeoff_type": "your_timeoff_type",
"start_time": "your_start_time",
"end_time": "your_end_time",
"description": "your_description",
"request_policy_type": "your_request_policy_type",
"amount": 0,
"status": "your_status",
"reason": {},
"session": "full",
"approver": "your_approver",
"employee_note": "your_employee_note",
"absence_paid_status": "paid",
"is_emergency_leave": True,
"remote_data": {}
}
response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.create(
'hris',
'timeoffrequests',
{
"employee": {},
"timeoff_type": "your_timeoff_type",
"start_time": "your_start_time",
"end_time": "your_end_time",
"description": "your_description",
"request_policy_type": "your_request_policy_type",
"amount": 0,
"status": "your_status",
"reason": {},
"session": "full",
"approver": "your_approver",
"employee_note": "your_employee_note",
"absence_paid_status": "paid",
"is_emergency_leave": true,
"remote_data": {}
},
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.create(
"hris",
"timeoffrequests",
{
"employee": {},
"timeoff_type": "your_timeoff_type",
"start_time": "your_start_time",
"end_time": "your_end_time",
"description": "your_description",
"request_policy_type": "your_request_policy_type",
"amount": 0,
"status": "your_status",
"reason": {},
"session": "full",
"approver": "your_approver",
"employee_note": "your_employee_note",
"absence_paid_status": "paid",
"is_emergency_leave": True,
"remote_data": {}
},
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())